package com.muyu.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoSaveModel;

import java.util.List;

public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {
    /**
     * 通过查询模型查询团购活动列表
     */
    TableDataInfo<ActivityTeamInfoListModel> list(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    /**
     * 添加拼团信息
     */
    boolean addTeam(ActivityTeamInfoSaveModel activityTeamInfoSaveModel);

}
