package com.muyu.product.domain.req;

import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.AttributeInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AttributeGroupUpdReq {

    /** 组名称 */
    @Excel(name = "组名称")
    @ApiModelProperty(name = "组名称", value = "组名称", required = true)
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(name = "状态", value = "状态", required = true)
    private String states;

    /**
     * 修改属性的信息
     */
    private List<AttributeInfo> attributeList;
}
