package com.muyu.product.domain.req;

import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RuleInfoUpdReq {
    /**
     * 规则名称
     */
    private String name;

    /**
     * 规格状态
     */
    private String status;

    /**
     * 规格备注
     */
    private String remark;

    /**
     * 规格属性集合
     */
    private List<RuleAttrAddModel> ruleAttrList;
}
