package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsAttributeGroup;
import org.apache.ibatis.annotations.Param;

/**
 * 属性与组中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface AsAttributeGroupMapper extends BaseMapper<AsAttributeGroup> {


    //修改属性
    void updateAttributeById(@Param("id") Long id, @Param("name") String name, @Param("states") String states);
    //删除中间表 根据属性组id删除
    void deleteAsAttributeGroup(Long id);

    void addByGroup(@Param("id") Long id, @Param("listId") Long listId);
}
